HamletSpec._Anchor (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletSpec, interface: _Anchor

Package org.apache.hadoop.yarn.webapp.hamlet2

# Interface HamletSpec._Anchor

All Known Subinterfaces:
  `HamletSpec._Cell`, `HamletSpec.ABBR`, `HamletSpec.ACRONYM`, `HamletSpec.ADDRESS`, `HamletSpec.B`, `HamletSpec.BDO`, `HamletSpec.CAPTION`, `HamletSpec.CITE`, `HamletSpec.CODE`, `HamletSpec.DD`, `HamletSpec.DEL`, `HamletSpec.DFN`, `HamletSpec.DIV`, `HamletSpec.DT`, `HamletSpec.EM`, `HamletSpec.FIELDSET`, `HamletSpec.Flow`, `HamletSpec.H1`, `HamletSpec.H2`, `HamletSpec.H3`, `HamletSpec.H4`, `HamletSpec.H5`, `HamletSpec.H6`, `HamletSpec.I`, `HamletSpec.Inline`, `HamletSpec.INS`, `HamletSpec.KBD`, `HamletSpec.LABEL`, `HamletSpec.LEGEND`, `HamletSpec.LI`, `HamletSpec.OBJECT`, `HamletSpec.P`, `HamletSpec.PRE`, `HamletSpec.Q`, `HamletSpec.SAMP`, `HamletSpec.SMALL`, `HamletSpec.SPAN`, `HamletSpec.Special`, `HamletSpec.STRONG`, `HamletSpec.SUB`, `HamletSpec.SUP`, `HamletSpec.TD`, `HamletSpec.TH`, `HamletSpec.VAR`

All Known Implementing Classes:
  `Hamlet.ABBR`, `Hamlet.ACRONYM`, `Hamlet.ADDRESS`, `Hamlet.B`, `Hamlet.BDO`, `Hamlet.CAPTION`, `Hamlet.CITE`, `Hamlet.CODE`, `Hamlet.DD`, `Hamlet.DEL`, `Hamlet.DFN`, `Hamlet.DIV`, `Hamlet.DT`, `Hamlet.EM`, `Hamlet.FIELDSET`, `Hamlet.H1`, `Hamlet.H2`, `Hamlet.H3`, `Hamlet.H4`, `Hamlet.H5`, `Hamlet.H6`, `Hamlet.I`, `Hamlet.INS`, `Hamlet.KBD`, `Hamlet.LABEL`, `Hamlet.LEGEND`, `Hamlet.LI`, `Hamlet.OBJECT`, `Hamlet.P`, `Hamlet.PRE`, `Hamlet.Q`, `Hamlet.SAMP`, `Hamlet.SMALL`, `Hamlet.SPAN`, `Hamlet.STRONG`, `Hamlet.SUB`, `Hamlet.SUP`, `Hamlet.TD`, `Hamlet.TH`, `Hamlet.VAR`

Enclosing class:
  HamletSpec

public static interface HamletSpec._Anchor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HamletSpec.A`
  `a()`
  Add a A (anchor) element.
  `HamletSpec.A`
  `a(String selector)`
  Add a A (anchor) element.
  `HamletSpec._Anchor`
  `a(String href, String anchorText)`
  Shortcut for `a().`
  `HamletSpec._Anchor`
  `a(String selector, String href, String anchorText)`
  Shortcut for `a(selector).`

- ## Method Details

  - ### a

    HamletSpec.A a()
    Add a A (anchor) element.
    Returns:
      a new A element builder

  - ### a

    HamletSpec.A a(String selector)
    Add a A (anchor) element.
    Parameters:
      `selector` - the css selector in the form of (#id)*(.class)*
    Returns:
      a new A element builder

  - ### a

    HamletSpec._Anchor a(String href, String anchorText)
    Shortcut for `a().$href(href).__(anchorText).__();`
    Parameters:
      `href` - the URI
      `anchorText` - for the URI
    Returns:
      the current element builder

  - ### a

    HamletSpec._Anchor a(String selector, String href, String anchorText)
    Shortcut for `a(selector).$href(href).__(anchorText).__();`
    Parameters:
      `selector` - in the form of (#id)?(.class)*
      `href` - the URI
      `anchorText` - for the URI
    Returns:
      the current element builder